version: '3'
services:
  backend:
    build: ./
    container_name: activerecord-backend
    ports:
      - "9000:9000"
    tty: true

  mysql:
    platform: linux/x86_64
    image: mysql:8.0
    container_name: mysql
    environment:
      MYSQL_DATABASE: sample
      MYSQL_USER: osaki
      MYSQL_PASSWORD: 1192
      MYSQL_ROOT_PASSWORD: root
    volumes:
      - ./db/data:/var/lib/mysql
      - ./db/initdb.d:/docker-entrypoint-initdb.d
      - ./db/my.cnf:/etc/mysql/conf.d/my.cnf
